No proprietary drivers shown for my ATI Mobility Radeon 9600 M10

Bug #325312 reported by Patrice Vetsel on 2009-02-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xserver-xorg-video-ati (Ubuntu)
Undecided
Unassigned

Bug Description

Testing jaunty alpha4 :
Jockey do not show me/offer to install/list proprietary drivers for my ATI (same problem in 8.10)
jockey 0.5~beta3-0ubuntu13

lspci | grep VGA
01:00.0 VGA compatible controller: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]

lspci -n | grep 0300
01:00.0 0300: 1002:4e50

dpkg -l | grep fglrx
ii fglrx-modaliases 2:8.573-0ubuntu2 Identifiers supported by the ATI graphics dr

kagou@satori:~$ jockey-gtk --list
kagou@satori:~$

description: updated
crep4ever (romain-goffe) wrote :

Same with Karmic 9.10.
HW: laptop packard Bell EasyNote with an ati mobility radeon 9600 M10

I tried a fresh install with all defaults options: crash when loading the first step because of the driver.
Tried an installation with failsafe mode: ok.

Problem is, impossible to find proprietary drivers with system/administration/hardware drivers tool.
Seems that the driver we should use is either radeon (already included) or catalyst 9.3.
Using radeon (editing xorg.conf and set "radeon" instead of "vesa" in driver section) causes the system to freeze.
I also tried "ati" and "fglrx" although it's not recommended but same result (freeze).

affects: jockey (Ubuntu) → xserver-xorg-video-ati (Ubuntu)
Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Confirmed
tags: added: iso-testing
Bryce Harrington (bryce) on 2010-03-18
tags: added: jaunty
Bryce Harrington (bryce) wrote :

[This is an automatic notification.]

Hi Patrice,

This bug was reported against an earlier version of Ubuntu, can you
test if it still occurs on Lucid?

Please note we also provide technical support for older versions of
Ubuntu, but not in the bug tracker. Instead, to raise the issue through
normal support channels, please see:

    http://www.ubuntu.com/support

If you are the original reporter and can still reproduce the issue on
Lucid, please run the following command to refresh the report:

  apport-collect 325312

If you are not the original reporter, please file a new bug report, so
we can work with you as the original reporter instead (you can reference
bug 325312 in your report if you think it may be related):

  ubuntu-bug xorg

If by chance you can no longer reproduce the issue on Lucid or if you
feel it is no longer relevant, please mark the bug report 'Fix Released'
or 'Invalid' as appropriate, at the following URL:

  https://bugs.launchpad.net/ubuntu/+bug/325312

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Incomplete
tags: added: needs-retested-on-lucid-by-june
Bryce Harrington (bryce) wrote :

We're closing this bug since it is has been some time with no response from the original reporter. However, if the issue still exists please feel free to reopen with the requested information. Also, if you could, please test against the latest development version of Ubuntu, since this confirms the bug is one we may be able to pass upstream for help.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Expired
p12p11 (p12p11) wrote :

I have the same issue here with radeon 2600xt:
p@L:~$ lspci | grep VGA
01:00.0 VGA compatible controller: ATI Technologies Inc RV630 [Radeon HD 2600XT]

p@L:~$ lspci -n | grep 0300
01:00.0 0300: 1002:9588

p@L:~$ dpkg -l | grep fglrx
ii fglrx 2:8.723.1-0ubuntu3 Video driver for the ATI graphics accelerato
ii fglrx-amdcccle 2:8.723.1-0ubuntu3 Catalyst Control Center for the ATI graphics
ii fglrx-modaliases 2:8.723.1-0ubuntu3 Identifiers supported by the ATI graphics dr

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers